Bug 243803 - www/gitlab-pages: fix build on aarch64
Summary: www/gitlab-pages: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL: http://thunderx1.nyi.freebsd.org/data...
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-02 16:25 UTC by Mikael Urankar
Modified: 2020-02-24 19:44 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
patch (1.66 KB, patch)
2020-02-02 16:25 UTC, Mikael Urankar
swills: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-02 16:25:16 UTC
Created attachment 211281 [details]
patch

# golang.org/x/sys/unix
vendor/golang.org/x/sys/unix/ztypes_freebsd_arm64.go:400:12: undefined: uint128
Comment 1 Emmanuel Vadot freebsd_committer 2020-02-21 11:56:30 UTC
Approved-by: manu (mentor)
Comment 2 commit-hook freebsd_committer 2020-02-24 19:43:49 UTC
A commit references this bug:

Author: mikael
Date: Mon Feb 24 19:42:53 UTC 2020
New revision: 527040
URL: https://svnweb.freebsd.org/changeset/ports/527040

Log:
  www/gitlab-pages: unbreak on aarch64

  Import an upstream patch [1] to fix build on aarch64

  [1] https://github.com/golang/sys/commit/33540a1f603772f9d4b761f416f5c10dade23e96

  PR:		243803
  Approved by:	swills (maintainer), manu (mentor)

Changes:
  head/www/gitlab-pages/files/patch-vendor_golang.org_x_sys_unix_ztypes__freebsd__arm64.go